OT: debian packaging weirdness (was Re: [Twisted-Python] Woven howto doc bug?)

Moshe Zadka m at moshez.org
Thu Feb 13 06:24:55 EST 2003

On Thu, 13 Feb 2003, Glyph Lefkowitz <glyph at twistedmatrix.com> wrote:

> Apparently this is up to the individual packager, but as a user I would expect
> the latest version of the dummy package to upgrade the real package.  Why this
> inconsistency between different packages?

a) No policy
b) No difference in behaviour if used through the recommended channels of
   upgrading (apt or dselect)
c) More work (and thus, more potential bugs) to do it with absolute
d) If you're using plain dpkg, why do you assume these dependencies should
   be enough? A user could upgrade twisted-doc but not python-twisted, thus
   again getting an unsynced version.

Moshe Zadka -- http://moshez.org/
Buffy: I don't like you hanging out with someone that... short.
Riley: Yeah, a lot of young people nowadays are experimenting with shortness.

More information about the Twisted-Python mailing list